/*
Theme Name:     Oasis Park Child
Theme URI:      https://www.elegantthemes.com/gallery/divi/
Description:    Child theme for Divi
Author:         ads creative solutions
Author URI:     https://adsoxford.co.uk
Template:       Divi
Version:        1.0.0
*/

/* @import url("https://use.typekit.net/ojr4snh.css"); */

/* body p,
body a,
body .et_pb_button,
body .gform_wrapper .gfield_label {
    font-family: "gill-sans-nova", sans-serif !important;
} */

/* body h1,
body h2,
body h3,
body h4,
body h5,
body h6 {
    font-family: "gill-sans-nova", sans-serif !important;
} */

body #page-container .et_pb_section .et_pb_button_module_wrapper .et_pb_button,
body #page-container .et_pb_section .et_pb_button_module_wrapper .et_pb_button.preset--group--divi-button--divi-layout--default {
    padding-right: 60px !important;
    position: relative !important;
    display: inline-block !important;
    overflow: hidden !important;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0) !important;
    transition: all 0.3s ease !important;
    font-weight: 400 !important;
}

body #page-container .et_pb_section .et_pb_button_module_wrapper .et_pb_button:hover,
body #page-container .et_pb_section .et_pb_button_module_wrapper .et_pb_button.preset--group--divi-button--divi-layout--default:hover {
    padding-right: 60px !important;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3) !important;
    filter: brightness(1.2) !important;
}

body #page-container .et_pb_section .et_pb_button_module_wrapper .et_pb_button::before,
body #page-container .et_pb_section .et_pb_button_module_wrapper .et_pb_button.preset--group--divi-button--divi-layout--default::before {
    visibility: visible !important;
    opacity: 1 !important;
    display: block !important;
    content: "" !important;
    position: absolute !important;
    top: 5px !important;
    right: -20px !important;
    width: 70px !important;
    height: 100% !important;
    background-image: url('/wp-content/uploads/2026/05/oasis-logo-circle-white.webp') !important;
    background-repeat: no-repeat;
    background-position: center center;
    background-size: contain;
    transition: all 0.3s ease;
    transform: none !important;
}

body #page-container .et_pb_section .et_pb_button_module_wrapper .et_pb_button.white,
body #page-container .et_pb_section .et_pb_button_module_wrapper .et_pb_button.preset--group--divi-button--divi-layout--default.white {
    background-color: #fff !important;
    color: #343894 !important;
    /* box-shadow: 0 0 10px rgba(0, 0, 0, 0.3) !important; */
}

body #page-container .et_pb_section .et_pb_button_module_wrapper .et_pb_button.white::before,
body #page-container .et_pb_section .et_pb_button_module_wrapper .et_pb_button.preset--group--divi-button--divi-layout--default.white::before {
    background-image: url('/wp-content/uploads/2026/05/oasis-logo-circle-blue.webp') !important;
}

body #page-container .et_pb_section .et_pb_button_module_wrapper .et_pb_button:hover::before,
body #page-container .et_pb_section .et_pb_button_module_wrapper .et_pb_button.preset--group--divi-button--divi-layout--default:hover::before {
    transform: rotate(15deg) !important;
}

.events-none>a {
    pointer-events: none;
}

.full-height-image,
.full-height-image .et_pb_image_wrap {
    height: 100%;
}

.et_pb_image_wrap img {
    object-fit: cover;
}

.et-l--header {
    position: relative;
    z-index: 999;
}

@media only screen and (min-width: 1080px) {

    .ads-menu-header .header-menu {
        justify-content: flex-end;
        flex-wrap: wrap;
        --after-x: 0px;
        --after-w: 0px;
        position: relative;
    }

    .ads-menu-header .header-menu li a {
        white-space: nowrap;
    }

    /* .ads-menu-header .header-menu .sub-menu li.current-menu-item a {
    color: #fff;
    font-weight: 700;
} */

    .ads-menu-header .header-menu::after {
        content: "";
        position: absolute;
        display: block;
        /* width: 0; */
        height: 2px;
        left: 0;
        /* opacity: 0; */
        /* left: calc(50% - 20px); */
        /* right: calc(50% - 20px); */
        bottom: 0;
        transition: transform 0.35s ease, width 0.35s ease;
        width: var(--after-w);
        transform: translateX(var(--after-x));
        background-color: #fff;
    }

    .ads-menu-header .header-menu>li:hover::after {
        /* opacity: 1; */
        /* background-color: #fff; */
        /* width: 40px; */
        /* max-width: 100%; */
    }
}

@media only screen and (max-width: 1279px) {}

@media only screen and (max-width: 1080px) {
    .ads-menu-header .header-menu {
        justify-content: flex-start;
        flex-wrap: nowrap;
    }
}

.et_pb_button {
    font-weight: 700 !important;
}

body .button.gform_button {
    background-color: #343894 !important;
    font-family: 'Montserrat', Helvetica, Arial, Lucida, sans-serif !important;
    text-transform: uppercase !important;
    border: 2px solid #343894 !important;
    font-weight: 700 !important;
    letter-spacing: 2px !important;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0) !important;
}

body .button.gform_button:hover {
    color: #343894 !important;
    background-color: #fff !important;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3) !important;
}

/* PAGE GALLERY */

.page-gallery-scroller .slick-list {
    margin: 0 -10px !important;
}

.page-gallery-scroller .slick-slide {
    margin: 10px;
}

.page-gallery-scroller .slick-slide img {
    width: 100%;
    object-fit: cover;
    border-radius: 8px;
}

.page-gallery-scroller .slick-arrow {
    width: 34px;
    height: 34px;
    border-radius: 100%;
    background-color: rgba(52, 56, 148, 1) !important;
    display: flex !important;
    align-items: center;
    justify-content: center;
    transition: background-color 0.3s ease;
    top: 50%;
    transform: translateY(-50%);
    position: absolute;
    z-index: 99;
}

.page-gallery-scroller .slick-arrow i {
    color: #fff;
    font-size: 16px;
}

.page-gallery-scroller .slick-arrow:first-child {
    left: -42px;
}

.page-gallery-scroller .slick-arrow:last-child {
    right: -42px;
}

@media only screen and (max-width: 1200px) {
    .page-gallery-scroller .slick-arrow:first-child {
        left: -20px;
    }

    .page-gallery-scroller .slick-arrow:last-child {
        right: -20px;
    }
}

/* PAGINATION */
.pagination {
    margin: 30px 0;
    text-align: center;
}

.pagination a,
.pagination span {
    display: inline-block;
    margin: 0 5px;
    padding: 8px 14px;
    border: 1px solid #343894;
    border-radius: 4px;
    text-decoration: none;
    font-size: 14px;
    font-weight: 600;
    color: #343894;
    transition: all 0.3s ease;
}

.pagination .current {
    background-color: #343894;
    color: #fff;
}

.pagination a:hover {
    background-color: #343894;
    color: #fff;
}



@media only screen and (max-width: 800px) {

    .pagination a,
    .pagination span {
        margin: 0 2px;
        padding: 8px 9px;
        /* font-size: 12px; */
    }
}

/* END PAGINATION */


/* Footer */

.et-l--footer {
    overflow: hidden !important;
}

/* .footer-row .footer-column-1 {
    padding-left: calc((100% - 1200px) / 2);
    max-width: 90%;
} */

/* .footer-row {
    position: relative;
}

.footer-row::after {
    content: "";
    position: absolute;
    width: 200%;
    height: 100%;
    bottom: 0;
    top: 0;
    left: 66.666%;
    background-color: #fff;
    z-index: 1;
} */

.footer-row .footer-column-1,
.footer-row .footer-column-2 {
    position: relative;
    z-index: 2;
}


@media only screen and (max-width: 1490px) {

    .footer-row .footer-column-1 {
        padding-left: 50px;
        padding-right: 50px;
    }
}

@media only screen and (max-width: 768px) {
    .footer-row .footer-column-2 {
        display: none !important;
    }
    .footer-row .footer-column-1 {
        padding-left: 4%;
        padding-right: 4%;
    }
}


/* Slick Scroller */

.slick-dotted.slick-slider {
    margin-bottom: 0px !important;
}

.slick-slider.images-scroller .slick-track {
    height: 100% !important;
}

.slick-slider .et_pb_image,
.slick-slider .et_pb_image .et_pb_image_wrap {
    height: 100%;
}

.slick-slider .et_pb_image .et_pb_image_wrap img {
    height: 100%;
    width: 100%;
    object-fit: cover;
}


.slick-slider .slick-dots {
    position: absolute;
    bottom: 20px;
    /* left: 50%; */
    /* transform: translateX(-50%); */
    display: flex !important;
    justify-content: center;
    align-items: center;
    list-style: none;
    padding: 0;
    margin: 0;
}

.slick-dots li.slick-active button:before {
    color: #fff;
}

.slick-dots li button:before {
    color: #fff;
    font-size: 14px;
}


/* tablepress */

.tablepress {
    width: 100%;
    margin-bottom: 0px !important;
}

.tablepress tbody tr:nth-child(even) td,
.tablepress tbody tr:nth-child(odd) td {
    background-color: #f2f2f2 !important;
    border-bottom: 5px solid #fff !important;
    padding: 8px 14px !important;
}

.tablepress td.column-1 {
    width: 32% !important;
}

.entry-content table:not(.variations) {
    border: none !important;
}

.tablepress>:where(thead)>tr>* {
    background-color: #343894 !important;
    color: #fff !important;
    padding: 8px 14px !important;
}

.tablepress>:where(tfoot)>tr>* {
    background-color: #ebecff !important;
    color: #343894 !important;
    font-weight: 700 !important;
    padding: 8px 14px !important;
}